Package com.sas.metadata.remote

# Interface TSNameObject

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface TSNameObject extends PrimaryType
Table server name object.

Attributes of TSNameObject are:

- `NameObjectName`

Associations of TSNameObject are:

- `TSContainingNamespace`

## Usage

To create an instance of this TSNameObject, use the `factory` create methods.
Example: create a TSNameObject with name "TSNameObject_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     TSNameObject myObject = (TSNameObject) factory.createComplexMetadataObject(objectStore, "TSNameObject_Object", MetadataObjects.TSNAMEOBJECT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_TSCONTAININGNAMESPACE_NAME`
  Constant used for the name of the TSContainingNamespace association.
  `static final String`
  `ATTRIBUTE_NAMEOBJECTNAME_NAME`
  Constant used for the name of the NameObjectName attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNameObjectName()`
  Gets the `String` value of `NameObjectName`
  `int`
  `getNameObjectNameMaxLength()`
  Gets the maximum length of `NameObjectName`
  `int`
  `getNameObjectNameState()`
  Gets the Metadata State of `NameObjectName`
  `TSNamespace`
  `getTSContainingNamespace()`
  Gets the `TSNamespace` for `TSContainingNamespace`
  `AssociationList`
  `getTSContainingNamespaces()`
  Gets the Association list of `TSContainingNamespaces`
  `AssociationList`
  `getTSContainingNamespaces(boolean fGoToServer)`
  Gets the Associationlist of `TSContainingNamespaces`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `TSContainingNamespace`
  `void`
  `setNameObjectName(String inNameObjectName)`
  Sets the `NameObjectName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNameObjectName(String inNameObjectName, int state)`
  Sets the `NameObjectName` Metadata State.
  `void`
  `setNameObjectNameState(int state)`
  Sets the Metadata State of `NameObjectName`.
  `void`
  `setTSContainingNamespace(TSNamespace inObject)`
  Sets the `TSContainingNamespaces` list 0th element to be `inObject`.
  `void`
  `setTSContainingNamespaces(AssociationList list)`
  Sets the `TSContainingNamespaces` list to be `list`.
  `void`
  `setTSContainingNamespaces(AssociationList list, int state)`
  Sets the `TSContainingNamespaces` list to be `list`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_NAMEOBJECTNAME_NAME

    static final String ATTRIBUTE_NAMEOBJECTNAME_NAME
    Constant used for the name of the NameObjectName attribute.

    NameObjectName: NameObjectName

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSCONTAININGNAMESPACE_NAME

    static final String ASSOCIATION_TSCONTAININGNAMESPACE_NAME
    Constant used for the name of the TSContainingNamespace association.

    TSContainingNamespace: The table server namespace for this name object.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `TSContainingNamespace`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNameObjectName

    String getNameObjectName() throws RemoteException
    Gets the `String` value of `NameObjectName`
    Returns:
      The `NameObjectName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNameObjectNameState

    int getNameObjectNameState() throws RemoteException
    Gets the Metadata State of `NameObjectName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNameObjectNameMaxLength

    int getNameObjectNameMaxLength() throws RemoteException
    Gets the maximum length of `NameObjectName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTSContainingNamespaces

    AssociationList getTSContainingNamespaces() throws RemoteException, MdException
    Gets the Association list of `TSContainingNamespaces`
    Returns:
      The AssociationList of `TSContainingNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSContainingNamespace

    TSNamespace getTSContainingNamespace() throws RemoteException, MdException
    Gets the `TSNamespace` for `TSContainingNamespace`
    Returns:
      The `TSNamespace` ( `null` if not set ) of `TSContainingNamespace` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSContainingNamespaces

    AssociationList getTSContainingNamespaces(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSContainingNamespaces`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TSContainingNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setNameObjectName

    void setNameObjectName(String inNameObjectName) throws RemoteException
    Sets the `NameObjectName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNameObjectName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNameObjectName

    void setNameObjectName(String inNameObjectName, int state) throws RemoteException
    Sets the `NameObjectName` Metadata State.
    Parameters:
      `inNameObjectName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNameObjectNameState

    void setNameObjectNameState(int state) throws RemoteException
    Sets the Metadata State of `NameObjectName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSContainingNamespaces

    void setTSContainingNamespaces(AssociationList list) throws RemoteException
    Sets the `TSContainingNamespaces` list to be `list`. Objects of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSContainingNamespaces

    void setTSContainingNamespaces(AssociationList list, int state) throws RemoteException
    Sets the `TSContainingNamespaces` list to be `list`. Objects of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSContainingNamespace

    void setTSContainingNamespace(TSNamespace inObject) throws RemoteException
    Sets the `TSContainingNamespaces` list 0th element to be `inObject`.
    Parameters:
      `inObject` - TSNamespace
    Throws:
      `RemoteException` - If error communicating with remote object.